Subject: Re: bug#49570: 28.0.50; url-http proxy connection-wait

From: Gregory Heytings <[email-masked]>
Date: Thu, 22 Jul 2021 09:10:41 +0000

>> Why on earth won't you do that?
>
> Because it isn't our place to second-guess when the user wants to purge 
> his/her local Git repository.
>

The word "prune" or "purge" are perhaps a bit unfortunate, they seem to 
imply that something serious is happening (as Basil thought).  Once again 
no actual data is removed, the only thing that is removed is a pointer to 
a particular commit.  Two people (Lars and Andrea) regretted upthread that 
removing a branch does not remove them in local repositories, and I 
remember at least one recent incident in which someone was using the 
native-comp branch after it had been removed.  Which is why I suggested to 
set that configuration variable... but I preach in the wilderness.